petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESNGSSetSweeps

Sets the number of sweeps of GS to use.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNGSSetSweeps(SNES snes, PetscInt sweeps)

### Input Parameters

| snes | - the SNES context
| sweeps | - the number of sweeps of GS to perform.

### See Also

SNESSetNGS(), SNESGetNGS(), SNESSetNPC(), SNESNGSGetSweeps()

### Level

intermediate

### Location

src/snes/impls/gs/snesgs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages